/* HEADER FILE *****************************************************
 * WTCLIENT.H  -  Writing Tools API Client Sample Application Header
 *                file.
 *******************************************************************
 * Copyright (C) 1993 WordPerfect Corp., All Rights Reserved
 *******************************************************************/
 
#define MAXFILESIZE 0x7fff        /* maximum file size that can be loaded */
#define MAXFILENAME 256 	     /* maximum length of file pathname      */
#define MAXCUSTFILTER 40	     /* maximum size of custom filter buffer */
#define MAXTOOLS 11 
#define MAXPARAMLEN 64 
#define MAXCUSTPROMPT 64 
#define MYMAXBLOCKSIZE 1024
#define MAXBLOCKS	50

typedef struct {
	 char tool[MAXCUSTFILTER];		/* Tool's keyname */
	 char exe[MAXFILENAME];			/* PathExe */
	 char menu[MAXCUSTFILTER+1];	/* MenuName */
	 char mne;						/* mnemonic from MenuName */
	 char desc[MAXCUSTFILTER];		/* DescriptiveName */
	 char params[MAXPARAMLEN+1];	/* Parameters */
	 char prompt[MAXCUSTPROMPT+1];	/* LongPrompt */
} TOOLRECORD;

/* File menu items */
typedef enum {
	CL_FILE_NEW = 0,
	CL_FILE_OPEN,
	CL_FILE_SAVE,
	CL_FILE_SAVE_AS,
	CL_FILE_PRINT,
	CL_FILE_EXIT,
	CL_FILE_CNT			/* number of File items (ALWAYS LAST ENTRY!!!) */
} CL_FILE;

/* Edit menu items */
typedef enum {
	CL_EDIT_UNDO = 0,
	CL_EDIT_CUT,
	CL_EDIT_COPY,
	CL_EDIT_PASTE,
	CL_EDIT_CNT			/* number of Edit items (ALWAYS LAST ENTRY!!!) */
} CL_EDIT;

/* Help menu items */
typedef enum {
	CL_HELP_ABOUT = 0,
	CL_HELP_CNT			/* number of Help items (ALWAYS LAST ENTRY!!!) */
} CL_HELP;

typedef enum {
	MB_OK = 0,
	MB_YESNO
} MSGBOX;

typedef enum {
	FALSE = 0,
	TRUE
} BOOL;
